> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kuqoi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Plant

> Creates a new plant in the store



## OpenAPI

````yaml POST /plants
openapi: 3.0.1
info:
  title: OpenAPI
  description: ''
  version: 1.0.0
servers:
  - url: https://apaas.apaas.mypaas.com/
    description: 开发环境
security: []
tags: []
paths:
  /plants:
    post:
      tags: []
      summary: /plants
      description: Creates a new plant in the store
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewPlant'
            example: ''
      responses:
        '200':
          description: plant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Plant'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      deprecated: false
components:
  schemas:
    NewPlant:
      allOf:
        - $ref: '#/components/schemas/Plant'
        - required:
            - id
          type: object
          properties:
            id:
              description: Identification number of the plant
              type: integer
              format: int64
          x-apifox-orders:
            - id
          x-apifox-ignore-properties: []
      x-apifox-folder: Schemas
    Plant:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the plant
          type: string
        tag:
          description: Tag to specify the type
          type: string
      x-apifox-orders:
        - name
        - tag
      x-apifox-ignore-properties: []
      x-apifox-folder: Schemas
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      x-apifox-orders:
        - error
        - message
      x-apifox-ignore-properties: []
      x-apifox-folder: Schemas

````